#include <iostream>



using namespace std;

int main()
{
    cin.tie(NULL);
    ios_base::sync_with_stdio(false);
    int N;
    int L;
    cin >> N >> L;
    
    for(int i = 0; i < N; i++)
    {
        int H;
        cin >> H;
        if(H <= L)
        {
            cout << i + 1;
            return 0;
        }
    }
    cout << -1;
}